import 'package:aitrainer_app/model/cache.dart';
import 'package:aitrainer_app/model/result.dart';
import 'package:test/test.dart';

main() {
  setUp(() {
    Cache().setTestBaseUrl();
  });

  group('Result', () {
    test('test ResultExt constructor', () async {
      final ResultExt resultExt = ResultExt(itemString: "Calorie");

      expect(resultExt.getImage(), "asset/image/pic_calorie.png");
      expect(resultExt.getDescription(), "Calorie");
      expect(resultExt.item.equals(ResultItem.calorie), true);
      expect(resultExt.equals(ResultItem.calorie), true);
      expect(resultExt.equalsString("Calorie"), true);
    });
  });
}
